- name: get node info
  ansible.builtin.command: docker node inspect self
  register: raw_node_info


- name: extract node_info
  ansible.builtin.set_fact:
    node_info: "{{ (raw_node_info.stdout | from_json)[0] }}"


